OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
CargoDelivery Class Reference

Action of final delivery of cargo. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoDelivery:

## Public Member Functions
| CargoDelivery (VehicleCargoList *source, uint max_move, CargoPayment *payment)
bool | operator() (CargoPacket *cp)
| Delivers some cargo.
Public Member Functions inherited from CargoRemoval< VehicleCargoList >
| CargoRemoval (VehicleCargoList *source, uint max_move)
uint | MaxMove ()
| Returns how much more cargo can be removed with this action.

## Protected Attributes
CargoPayment * | payment
| Payment object where payments will be registered.
Protected Attributes inherited from CargoRemoval< VehicleCargoList >
VehicleCargoList * | source
| Source of the cargo.
uint | max_move
| Maximum amount of cargo to be removed with this action.

## Additional Inherited Members
Protected Member Functions inherited from CargoRemoval< VehicleCargoList >
uint | Preprocess (CargoPacket *cp)
bool | Postprocess (CargoPacket *cp, uint remove)

## Detailed Description

Action of final delivery of cargo.

Definition at line 41 of file cargoaction.h.

## Member Function Documentation

bool CargoDelivery::operator() | ( | CargoPacket * | cp | ) |

Delivers some cargo.

Parameters

  cp | Packet to be delivered.

Returns
  True if the packet was completely delivered, false if only part of it was.

Reimplemented from CargoRemoval< VehicleCargoList >.

Definition at line 108 of file cargoaction.cpp.

References CargoList< VehicleCargoList, CargoPacketList >::MTA_DELIVER, CargoPayment::PayFinalDelivery(), payment, CargoRemoval< VehicleCargoList >::Postprocess(), CargoRemoval< VehicleCargoList >::Preprocess(), VehicleCargoList::RemoveFromMeta(), and CargoRemoval< VehicleCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp